Subject: [Ietf-krb-wg] FW: New Version Notification for draft-ietf-krb-wg-otp-preauth-14

From: <[email-masked]>
Date: Tue, 18 Jan 2011 11:55:47 -0500

I have just submitted an update to the OTP pre-auth ID following the WG LC review.  The major changes are:

1) Corrected a number of nits and grammatical errors

2) Moved text stating that a request should be rejected if an OTP value is included and KDC authentication is required from section 3.4 (KDC processing) to section 3.2 (client processing)

3) Added explanatory text to section 3.4 around OTP accounts.

4) Updated section 3.4 to describe how the KDC_ERR_PIN_EXPIRED should be returned for expired PINs.

5) Made references to PKININIT and anonymity drafts normative

6) Added salt and s2kparams to the PA-OTP-CHALLENGE to provide string-to-key parameters for key generation

7) Added reference to new RFC6030

8) Corrected error in ASN.1 module

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]] 
Sent: 18 January 2011 11:50
To: Richards, Gareth
Subject: New Version Notification for draft-ietf-krb-wg-otp-preauth-14 

A new version of I-D, draft-ietf-krb-wg-otp-preauth-14.txt has been successfully submitted by Gareth Richards and posted to the IETF repository.

Filename:	 draft-ietf-krb-wg-otp-preauth
Revision:	 14
Title:		 OTP Pre-authentication
Creation_date:	 2011-01-18
WG ID:		 krb-wg
Number_of_pages: 39

Abstract:
The Kerberos protocol provides a framework authenticating a client using the exchange of pre-authentication data.  This document describes the use of this framework to carry out One Time Password
(OTP) authentication.

The IETF Secretariat.

_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg

---

From: <[email-masked]>
Date: Tue, 18 Jan 2011 13:23:57 -0500

I just realised that I included the wrong ASN.1 module in this update.  I will submit a new version with the correct module soon. 

> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: 18 January 2011 11:56
> To: [email-masked]
> Subject: [Ietf-krb-wg] FW: New Version Notification for 
> draft-ietf-krb-wg-otp-preauth-14
> 
> I have just submitted an update to the OTP pre-auth ID 
> following the WG LC review.  The major changes are:
> 
> 2) Moved text stating that a request should be rejected if an 
> OTP value is included and KDC authentication is required from 
> section 3.4 (KDC processing) to section 3.2 (client processing)
> 
> 4) Updated section 3.4 to describe how the 
> KDC_ERR_PIN_EXPIRED should be returned for expired PINs.
> 
> 6) Added salt and s2kparams to the PA-OTP-CHALLENGE to 
> provide string-to-key parameters for key generation
> 
> A new version of I-D, draft-ietf-krb-wg-otp-preauth-14.txt 
> has been successfully submitted by Gareth Richards and posted 
> to the IETF repository.
> 
> The Kerberos protocol provides a framework authenticating a 
> client using the exchange of pre-authentication data.  This 
> document describes the use of this framework to carry out One 
> Time Password
> (OTP) authentication.
>                                                               
>                     
> 
> 
> The IETF Secretariat.
> 
> 
>